Bug 1471893 - [RFE] Tomcat exact version in label for jboss-webserver-3/webserver31-tomcat7-openshift image
[RFE] Tomcat exact version in label for jboss-webserver-3/webserver31-tomcat7...
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
3.5.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: kconner
Xiaoli Tian
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-17 11:26 EDT by Vladislav Walek
Modified: 2017-07-19 13:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker CLOUD-1913 Minor Verified [JWS] Introduce an environment variable for the tomcat version 2017-09-14 06:59 EDT

  None (edit)
Description Vladislav Walek 2017-07-17 11:26:41 EDT
Description of problem:

Could you please attach to the image label which shows the exact version of Tomcat7, which is included in image? 
Customer can't see the version unless running the image. Then it is visible in logs.
This info is useful for production planning.

Version-Release number of selected component (if applicable):
OpenShift Container Platfrom 3.5
jboss-webserver-3/webserver31-tomcat7-openshift:latest
Comment 1 kconner 2017-07-19 09:46:54 EDT
The information is present in the images through their environment variables, it should be possible to query this from the command line.

For examples:

docker inspect registry.access.redhat.com/jboss-webserver-3/webserver31-tomcat7-openshift | egrep 'PRODUCT_VERSION|JBOSS_WEBSERVER_VERSION'

would result in

                "JBOSS_WEBSERVER_VERSION=3.1.0",
                "PRODUCT_VERSION=3.1.0",
                "JBOSS_WEBSERVER_VERSION=3.1.0",
                "PRODUCT_VERSION=3.1.0",
Comment 2 kconner 2017-07-19 09:49:12 EDT
P.S. All the xPaaS images should contain PRODUCT_VERSION but the other variable will differ depending on the product, e.g. the eap variable would be JBOSS_EAP_VERSION.
Comment 3 kconner 2017-07-19 09:53:06 EDT
Apologies, I've just realised you were asking about the Tomcat version, not the actual product version.  I'll see what can be done about this.
Comment 4 kconner 2017-07-19 11:19:22 EDT
While we look into this issue you could advise them to do the following as a workaround.


docker run -it --rm registry.access.redhat.com/jboss-webserver-3/webserver31-tomcat7-openshift java -cp /opt/webserver/lib/catalina.jar org.apache.catalina.util.ServerInfo

This will display output similar to the following

Server version: Apache Tomcat/7.0.70
Server built:   Jan 12 2017 14:59:11 UTC
Server number:  7.0.70-16.ep7.el7.0
OS Name:        Linux
OS Version:     3.10.0-514.26.2.el7.x86_64
Architecture:   amd64
JVM Version:    1.8.0_131-b12
JVM Vendor:     Oracle Corporation
Comment 5 kconner 2017-07-19 11:19:23 EDT
While we look into this issue you could advise them to do the following as a workaround.


docker run -it --rm registry.access.redhat.com/jboss-webserver-3/webserver31-tomcat7-openshift java -cp /opt/webserver/lib/catalina.jar org.apache.catalina.util.ServerInfo

This will display output similar to the following

Server version: Apache Tomcat/7.0.70
Server built:   Jan 12 2017 14:59:11 UTC
Server number:  7.0.70-16.ep7.el7.0
OS Name:        Linux
OS Version:     3.10.0-514.26.2.el7.x86_64
Architecture:   amd64
JVM Version:    1.8.0_131-b12
JVM Vendor:     Oracle Corporation

Note You need to log in before you can comment on or make changes to this bug.